RHEL 8:curl(RHSA-2019:3701)

critical Nessus プラグイン ID 130568
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

curlの更新プログラムが、Red Hat Enterprise Linux 8で利用可能になりました。Red Hat製品セキュリティは、この更新がセキュリティに及ぼす影響の重要度を中程度と評価しています。詳細な重大度評価を示すCVSS(共通脆弱性評価システム)ベーススコアは、「参照」セクションのCVEリンクから脆弱性ごとに入手できます。curl パッケージは、HTTP、FTP、LDAP を含む、様々なプロトコルを使用してサーバーからファイルをダウンロードするための libcurl ライブラリおよび curl ユーティリティを提供します。セキュリティ修正プログラム: * curl:NTLMタイプ2の領域外バッファオーバーリード(CVE-2018-16890)* wget:xattr.cのset_file_metadata関数における情報漏えい(CVE-2018-20483)* curl:NTLMv2タイプ3のヘッダーのスタックベースバッファオーバーフロー(CVE-2019-3822)* curl:SMTPのレスポンス終了の領域外読み取り(CVE-2019-3823)影響、CVSSスコア、謝辞、その他の関連情報を含むセキュリティ問題の詳細については、「参照」セクションに記載されているCVEのページを参照してください。追加の変更:このリリースの変更に関する詳細については、「参照」セクションからリンクされているRed Hat Enterprise Linux 8.1リリースノートを参照してください。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

http://www.nessus.org/u?774148ae

https://access.redhat.com/errata/RHSA-2019:3701

https://access.redhat.com/security/cve/cve-2018-16890

https://access.redhat.com/security/cve/cve-2018-20483

https://access.redhat.com/security/cve/cve-2019-3822

https://access.redhat.com/security/cve/cve-2019-3823

プラグインの詳細

深刻度: Critical

ID: 130568

ファイル名: redhat-RHSA-2019-3701.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2019/11/6

更新日: 2019/12/17

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:redhat:enterprise_linux:curl, p-cpe:/a:redhat:enterprise_linux:curl-debuginfo, p-cpe:/a:redhat:enterprise_linux:curl-debugsource, p-cpe:/a:redhat:enterprise_linux:curl-minimal-debuginfo, p-cpe:/a:redhat:enterprise_linux:libcurl, p-cpe:/a:redhat:enterprise_linux:libcurl-debuginfo, p-cpe:/a:redhat:enterprise_linux:libcurl-devel, p-cpe:/a:redhat:enterprise_linux:libcurl-minimal, p-cpe:/a:redhat:enterprise_linux:libcurl-minimal-debuginfo, cpe:/o:redhat:enterprise_linux:8

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2019/11/5

脆弱性公開日: 2018/12/26

参照情報

CVE: CVE-2018-16890, CVE-2018-20483, CVE-2019-3822, CVE-2019-3823

RHSA: 2019:3701